%define major 0
%define libname %mklibname %name %major
%define develname %mklibname %name -d
%define canton_version	1.1

Summary:	X Input Method Server for Chinese
Name:		xcin
Version:	2.5.3
Release:	%mkrel 6.pre3.5
License:	GPL
Group:		System/Internationalization
#Source0:	ftp://xcin.linux.org.tw/pub/xcin/xcin/%name-%version.tar.bz2
Source0:	%{name}-2.5.3.pre3.tar.bz2
# http://hk.geocities.com/chandm9876/canton.htm
Source1:	canton-%{canton_version}.cin.bz2
# Firefly patches
Patch0:  xcin-2.5.3.pre3-xcinrc.LINUX-20040105.patch
Patch1:  xcin-2.5.3.pre3-RootStyle-20040102.patch
Patch2:  xcin-2.5.3.pre3-OverTheSpot-20040102.patch
Patch3:  xcin-2.5.3.pre3-OnTheSpot-20040105.patch
Patch4:  xcin-2.5.3.pre3-bimsphone-20040102.patch
Patch5:  xcin-2.5.3-utf8-makefile-20031223.patch
Patch6:  xcin-2.5.3.pre3-cin2tab-20040102.patch
Patch7:  xcin-2.5.3-syscin_utf8.patch
Patch8:  xcin-2.5.3-cj5_utf8.patch
Patch9:  xcin-2.5.3-simplex5_utf8.patch
# Mandriva patches
Patch100:	xcin-2.5.3-extra-im.patch
Patch101:	xcin-2.5.3-xcinrc-mdk.patch
# From Fedora
Patch102:	xcin-2.5.3-no_rpath.patch
Requires:	locales-zh
Requires:	taipeifonts
Requires:	tabe
BuildRequires:	X11-devel
BuildRequires:	db4.2-devel
BuildRequires:	tabe-devel
BuildRequires:	gettext
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Xcin is an X Input Method allowing to type in Chinese in X applications that
follow the XIM input method standard.

%package -n %libname
Group: System/Libraries
Summary: Shared libraries of xcin

%description -n %libname
Xcin is an X Input Method allowing to type in Chinese in X applications that
follow the XIM input method standard.

%package -n %develname
Group: Development/C
Summary: Development libraries of xcin
Requires: %libname = %version
Provides: lib%name-devel = %version-%release
Obsoletes: %{mklibname xcin 0 -d}

%description -n %develname
Xcin is an X Input Method allowing to type in Chinese in X applications that
follow the XIM input method standard.

%prep

%setup -q -n %{name}
%patch0 -p1
%patch1 -p1 -b .Rootstyle
%patch2 -p1 -b .OverTheSpot
%patch3 -p1 -b .OnTheSpot
%patch4 -p1 -b .bimsphone
%patch5 -p1 -b .utf8-makefile
%patch6 -p1 -b .cin2tab
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch100 -p1 -b .extra-im
%patch101 -p1 -b .mdk
%patch102 -p1 -b .rpath

find . -type d -name CVS | xargs -r rm -rf

bzcat %{SOURCE1} > cin/big5/canton.cin

#Install Chewing module
#pushd src/Cinput
#tar --bzip2 -xf %{SOURCE3}
#cd chewing
#./patch_chewing
#popd

%build
# From SUSE: re-generating configure fixes x86-64 build
mv script/configure.in .
# AdamW: Look for tabe .db files in /usr/share/tabe not /usr/lib/tabe
perl -pi -e 's,/lib/tabe,/share/tabe,g' configure.in
rm -f configure
libtoolize --force
aclocal
autoconf
# Geoff -- don't use percent-configure because it breaks program.
CFLAGS="%optflags" CXXFLAGS="%optflags" ./configure \
	--build=%_target_platform \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-xcin-dir=%{_prefix}/lib/xcin \
	--with-xcin-rcdir=%{_sysconfdir}/chinese/xcin \
	--with-dbinc=%{_includedir}/db4 \
	--with-locale-dir=%{_datadir}/locale \
	--with-extra-prefix=%{_prefix}

#Dadou - 2.5.2-6mdk - Don't use make macro. It breaks build.
make

%install
rm -rf %{buildroot}

export program_prefix=%{buildroot}
export xcin_rcp=%{buildroot}/%{_sysconfdir}/chinese/xcin
make -e install

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/Bugs doc/CREDITS doc/Changes doc/Cin doc/En doc/FAQ doc/README doc/SETUP doc/Todo doc/Usage doc/UserGuide doc/internal doc/modules
%dir %{_sysconfdir}/chinese/xcin
%config(noreplace) %{_sysconfdir}/chinese/xcin/*
%{_bindir}/*
%{_prefix}/lib/%{name}
%{_mandir}/man1/*

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a


%changelog
* Sat Aug 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.5.3-6.pre3.5mdv2009.0
+ Revision: 269765
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.3-0.pre3.5mdv2009.0
+ Revision: 209495
- build it against bdb 4.2
- fix devel package naming

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.5.3-0.pre3.4mdv2008.1
+ Revision: 136578
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.5.3-0.pre3.4mdv2008.0
+ Revision: 24601
- no need to compress man pages (spec-helper is already doing this)

* Fri May 04 2007 Adam Williamson <awilliamson@mandriva.com> 2.5.3-0.pre3.3mdv2008.0
+ Revision: 22145
- only package relevant docs
- run ldconfig
- bzip manpage
- install static stuff and plugins to /usr/lib not libdir
- fix build on x86-64
- rebuild for new era
- don't install to /usr/X11R6
- update requires
- bunzip2 patches
- libify
- clean spec
- Import xcin



* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.5.3-0.pre3.2mdk
- Rebuild

* Sat Jan 31 2004 Abel Cheung <deaddog@deaddog.org> 2.5.3-0.pre3.1mdk
- 2.5.3 pre3 (?)
- Use Firefly's UTF-8 and OnTheSpot patches (thanks firefly)
- Remove menu/icon (no reason to create menu entry for input method)
- Requires taipeifonts
- Add cantonese input method (thanks to Hong Kong Seniors IT Advocates
  <www.hkseniors.net>)
- TODO: Re-add chewing input method, it won't compile with new xcin
- TODO: re-add mandrake specific patches

* Thu Jan 22 2004 David Baudens <baudens@mandrakesoft.com> 2.5.2.3-20mdk
- Fix menu

* Thu Sep 04 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.5.2.3-19mdk
- fixed BuildRequires

* Wed Mar 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.5.2.3-18mdk
- made xcin work on all chinese locales we ship

* Mon Jul 29 2002 Stefan van der Eijk <stefan@eijk.nu> 2.5.2.3-17mdk
- BuildRequires

* Tue Jan 22 2002 David BAUDENS <baudens@mandrakesoft.com> 2.5.2.3-16mdk
- Use chinese_section.png icon for menu entry

* Wed Jan 16 2002 Andrew Lee <andrew@cle.linux.org.tw> 2.5.2.3-15mdk
- add Chewing!!

* Mon Dec  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.5.2.3-14mdk
- fix to link against db2 properly
- pass --build/--host/--target to configure

* Mon Oct 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.3-13mdk
- OverTheSpot Fix, fixes kde logout hang (Kevin Chen).

* Sun Sep 30 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.3-12mdk
- Aiyee db loading problems!

* Tue Sep 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.3-11mdk
- BuildRequires db2-devel XFree86-devel (Stefan).

* Sat Sep 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.3-10mdk
- Back to Chinese menu.

* Fri Sep 21 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.5.2.3-9mdk
- Remove the OverTheSpot Style (hang KDE up on logout).

* Mon Sep 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.5.2.3-8mdk
- Move again menu entry in "Applications/Text tools" (menu entries wich doesn't
  respect Mandrake policy are not allowed)

* Sun Sep 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.3-7mdk
- Move menu back to Chinese (Applications/Text tools is too cryptic).
- Remove xcin.wrap (Source 3), as it seems to be no longer required.
- Back to -O3.
- Menu file is inside the spec file.

* Fri Sep 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.3-6mdk
- Requires locales-zh.

* Mon Sep 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.5.2.3-5mdk
- Move menu entry in "Applications/Text tools"
- Use standard icons

* Mon Sep 10 2001 Pablo Saratxaga <pablo@mandrakesft.com> 2.5.2.3-4mdk
- converted Big5 po file to real Big5 (to compile with new gettext)

* Thu Apr 05 2001 Pablo Saratxaga <pablo@mandrakesft.com> 2.5.2.3-3mdk
- fixed fontset definition (bug #1917)

* Wed Mar 21 2001 Andrew Lee <andrew@linux.org.tw> 2.5.2.3-2mdk
- enable XCIN_HIDE OVERSPOT_USE_USRFONTSET OVERSPOT_WINDOW_ONLY
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - Don't use Mandrake buildflags as that hangs the program. :-(

* Mon Mar 19 2001 Andrew Lee <andrew@linux.org.tw> 2.5.2.3-1mdk
- update to 2.5.2.3
- Don't mv -f jyutping0.cin jyutping.cin (break build)

* Fri Feb 02 2001 Geoffrey Lee <snailtalk@mandrkaesoft.com> 2.5.2.2-3mdk
- don't use jyutping no tone for now.

* Mon Jan 29 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.2-2mdk
- build it against the new libtabe.
- use no-tone jyutping.

* Tue Jan 09 2001 Geoff <snailtalk@mandrakesoft.com> 2.5.2.2-1mdk
- new and shiny source.
- build it against the new libtabe.

* Mon Jan 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.5.2-6mdk
- Adapt Requires to new lib policy
- Fix %%post and %%postun
- Macros
- Remove obsolote wmconfig support
- Add %%lang support
- %%config(noreplace)
- Spec clean up

* Tue Oct 24 2000 Andrew Lee <andrew@cle.linux.org.tw> 2.5.2-5mdk
- clean .spec
- refine xcinrc
- s/icons/icon/

* Mon Oct 23 2000 Andrew Lee <andrew@cle.linux.org.tw>
- xcin 2.5.2 final release
- BM
- macros

* Tue Oct 10 2000 Andrew Lee <andrew@cle.linux.org.tw>
- xcin-2.5.2.pre6.diff
- refine xcinrc
- add %%file xcin.mo

* Mon Oct  9 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update to 2.5.2.pre6
- refine xcinrc

* Tue Sep 19 2000 Andrew Lee <andrew@cle.linux.org.tw>
- fix phonegb2 bugs
- refine xcinrc patch
- added icon to menu

* Fri Aug 25 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update to 2.5.2-pre5

* Thu Aug 15 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update to 2.5.2-pre4a

* Sun Jul 30 2000 Andrew Lee <andrew@cle.linux.org.tw>
- refind xcinrc, enable simplex@big5, cantonese@big5, 
bimsphonesimple@big5, pinyin@big5, biaoxingma@gb2312, jtcj_gb@gb2312,
shuangpin@gb2312, wubizixing@gb2312 and zhiranma@gb2312.
- add phonegb2 Thanks to ªkw (ڤ) <bv1al@ms2.journalist.com.tw>
- modify menu title

* Sat Jul 29 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update to 2.5.2-pre4
- Build without liu55,liu55gb,phonegb2 and bimsphonesimple.

* Mon Jul 24 2000 ID5 <id5id5@tcts1.seed.net.tw>
- Rebuild without liu55

* Sat Jul  8 2000 ID5 <id5id5@tcts1.seed.net.tw>
- Rebuild with libtabe new version

* Wed May  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- menu entry
- PreReq: libtabe
- Requires: locales-zh
- BuildRequires: libtabe-devel

* Wed Apr 12 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre3
- set OverTheSpot enable default

* Mon Mar 27 2000 Andrew Lee <andrew@cle.linux.org.tw>
- many kde-i18n packages can't work with OverTheSpot..:-(
- disable OverTheSpot

* Mon Mar 27 2000 Andrew Lee <andrew@cle.linux.org.tw>
- fix kdelnk bug
- set OverTheSpot enable

* Sat Mar 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre2

* Tue Mar  7 2000 Yuan-Chung Cheng <platin@linux.org.tw>
- /usr/share/applnk/Chinese/xcin.kdelnk

* Mon Feb 21 2000 Andrew Lee <andrew@cle.linux.org.tw>
- remove Chewing!!

* Sun Feb 20 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add Chewing!!

* Fri Feb 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre1

* Thu Feb 10 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- remove kdelnk, modify xcin.desktop

* Fri Feb  4 2000 Cheng Yuan-Cheng <platin@linux.org.tw>
- .spec file cleanup
- change xcin directory to /usr/X11R6/lib/X11/xcin/

* Tue Jan 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add bimsphone module patch

* Mon Jan 24 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update xcin-2.5-20000124
- add non-autoselect bimsphone 
- add phonegb2

* Thu Jan 6 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for yami

* Mon Jan  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update xcin-2.5-20000103

* Mon Dec 13 1999 Andrew Lee <andrew@cle.linux.org.tw>
- Patch a bug (gui.c)

* Mon Nov 29 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- update xcin-2.5-19991128

* Thu Nov 25 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- update xcin-2.5-19991109
- fix cin2tab rcfile bug

* Mon Nov 22 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- rebuild for mandrake
- patch cin/Makefile path

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- for xcin-2.5.1
- menu entry for GNOME and KDE were added...

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- for xcin-2.5.0-pre3

* Sun May  2 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- frist build xcin-2.5
